CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

installing funkySetFields

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   August 25, 2010, 11:55
Default
  #41
Member
 
G B
Join Date: Mar 2010
Posts: 37
Rep Power: 7
Disco_Caine is on a distinguished road
Oh yeah, youre totally right, its not a problem of FSF at all. But since i get the floating point exception error, i thought it would most helpful to post it here. Guess i should review my numerical methods.

Your first two solution are way over my level of expertise in openfoam, i will try changing different powers and the lower value idea. If not ill find another way to write the function.

thanks again for your time bernhard!

UPDATE: well this is weird, the pow function works with the individual values you get from running pos().z (i tried only the lowest and the highest).
Disco_Caine is offline   Reply With Quote

Old   September 2, 2010, 23:38
Default Thanks
  #42
New Member
 
Kelvin Loh
Join Date: Mar 2009
Posts: 25
Rep Power: 8
kel85uk is on a distinguished road
Quote:
Originally Posted by gschaider View Post
That looks alright

These tags were not updated for ages so they don't mean much

You're using the version from the OF 1.6-Breeder are you? That compiles on my 1.7 without problems. The error message indicates a version mismatch (a constructor is called which is not present in your current OF-version)

Hi Bernhard,

Thanks very much for the tip. I downloaded the OF1.6 - Breeder version and it seems to compile now. Thanks again.

-Kelvin
kel85uk is offline   Reply With Quote

Old   October 18, 2010, 07:49
Default
  #43
Senior Member
 
Illya Shevchuk
Join Date: Aug 2009
Location: Darmstadt, Germany
Posts: 174
Rep Power: 7
linch is on a distinguished road
I have also problems with compiling the funkySetField getting similar errors to kel85uk's:
Code:
ValueExpressionDriver.C: In member function ‘Foam::volScalarField* ValueExpressionDriver::makeDistanceField()’:
ValueExpressionDriver.C:506: error: call of overloaded ‘GeometricField(Foam::IOobject, const Foam::fvMesh&, int)’ is ambiguous
/home/shevchuk/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/GeometricField.C:420: note: candidates are: Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject&, const typename GeoMesh::Mesh&, const Foam::dictionary&) [with Type = double, PatchField = Foam::fvPatchField, GeoMesh = Foam::volMesh]
/home/shevchuk/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/GeometricField.C:256: note:                 Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject&, const typename GeoMesh::Mesh&, const Foam::dimensioned<Type>&, const Foam::word&) [with Type = double, PatchField = Foam::fvPatchField, GeoMesh = Foam::volMesh]
ValueExpressionDriver.C: In member function ‘Foam::volScalarField* ValueExpressionDriver::makeRDistanceField(const Foam::volVectorField&)’:
ValueExpressionDriver.C:529: error: call of overloaded ‘GeometricField(Foam::IOobject, const Foam::fvMesh&, int)’ is ambiguous
/home/shevchuk/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/GeometricField.C:420: note: candidates are: Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject&, const typename GeoMesh::Mesh&, const Foam::dictionary&) [with Type = double, PatchField = Foam::fvPatchField, GeoMesh = Foam::volMesh]
/home/shevchuk/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/GeometricField.C:256: note:                 Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject&, const typename GeoMesh::Mesh&, const Foam::dimensioned<Type>&, const Foam::word&) [with Type = double, PatchField = Foam::fvPatchField, GeoMesh = Foam::volMesh]
make: *** [Make/linux64GccDPOpt/ValueExpressionDriver.o] Fehler 1
I downloaded the FSF from https://openfoam-extend.svn.sourcefo...unkySetFields/

The complete error log you can find in the attached makelog.txt file. Hoping for help :-)

Regards,
Attached Files
File Type: txt makelog.txt (10.7 KB, 14 views)
linch is offline   Reply With Quote

Old   October 18, 2010, 09:13
Default
  #44
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by linch View Post
I have also problems with compiling the funkySetField getting similar errors to kel85uk's:
Code:
ValueExpressionDriver.C: In member function ‘Foam::volScalarField* ValueExpressionDriver::makeDistanceField()’:
ValueExpressionDriver.C:506: error: call of overloaded ‘GeometricField(Foam::IOobject, const Foam::fvMesh&, int)’ is ambiguous
/home/shevchuk/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/GeometricField.C:420: note: candidates are: Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject&, const typename GeoMesh::Mesh&, const Foam::dictionary&) [with Type = double, PatchField = Foam::fvPatchField, GeoMesh = Foam::volMesh]
/home/shevchuk/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/GeometricField.C:256: note:                 Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject&, const typename GeoMesh::Mesh&, const Foam::dimensioned<Type>&, const Foam::word&) [with Type = double, PatchField = Foam::fvPatchField, GeoMesh = Foam::volMesh]
ValueExpressionDriver.C: In member function ‘Foam::volScalarField* ValueExpressionDriver::makeRDistanceField(const Foam::volVectorField&)’:
ValueExpressionDriver.C:529: error: call of overloaded ‘GeometricField(Foam::IOobject, const Foam::fvMesh&, int)’ is ambiguous
/home/shevchuk/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/GeometricField.C:420: note: candidates are: Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject&, const typename GeoMesh::Mesh&, const Foam::dictionary&) [with Type = double, PatchField = Foam::fvPatchField, GeoMesh = Foam::volMesh]
/home/shevchuk/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/GeometricField.C:256: note:                 Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject&, const typename GeoMesh::Mesh&, const Foam::dimensioned<Type>&, const Foam::word&) [with Type = double, PatchField = Foam::fvPatchField, GeoMesh = Foam::volMesh]
make: *** [Make/linux64GccDPOpt/ValueExpressionDriver.o] Fehler 1
I downloaded the FSF from https://openfoam-extend.svn.sourcefo...unkySetFields/

The complete error log you can find in the attached makelog.txt file. Hoping for help :-)

Regards,
Should work. Which version is your gcc?
gschaider is offline   Reply With Quote

Old   October 18, 2010, 09:32
Default
  #45
Senior Member
 
Illya Shevchuk
Join Date: Aug 2009
Location: Darmstadt, Germany
Posts: 174
Rep Power: 7
linch is on a distinguished road
Code:
gcc (Debian 4.4.5-2) 4.4.5

Sorry, my fault. I've got the Breeder-1.5 version. I thought it would be the latest one, which you can download using the direct link to a .gz archive at http://openfoamwiki.net/index.php/Co...ields#Download , but it wasn't. For 1.6 you need svn. Is it possible to download the v1.6 without svn?
linch is offline   Reply With Quote

Old   October 19, 2010, 05:40
Default
  #46
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by linch View Post
Code:
gcc (Debian 4.4.5-2) 4.4.5
Sorry, my fault. I've got the Breeder-1.5 version. I thought it would be the latest one, which you can download using the direct link to a .gz archive at http://openfoamwiki.net/index.php/Co...ields#Download , but it wasn't. For 1.6 you need svn. Is it possible to download the v1.6 without svn?
There is an alternate view to the SVN where you can download directories as tarballs but I don't have the URL handy (it is described somewhere), sorry. Browse around from the openfoam-extend project page at sourceforge.

Bernhard
gschaider is offline   Reply With Quote

Old   March 25, 2011, 04:59
Default
  #47
egp
Senior Member
 
egp's Avatar
 
Eric Paterson
Join Date: Mar 2009
Location: Blacksburg, VA
Posts: 197
Blog Entries: 1
Rep Power: 9
egp is on a distinguished road
Hi Bernhard,

I am having the same problem with the latest funkySetFields (revision 1869). I'm using gcc4.4 or icpc11.1, bison 2.4, flex 2.5.31, and am getting

-------------
with gcc4.4
-------------
ValueExpressionDriver.C:462: error: call of overloaded ‘GeometricField(Foam::IOobject, const Foam::fvMesh&, int)’ is ambiguous

---------------
with icpc11.1
---------------
ValueExpressionDriver.C(451): error: more than one instance of constructor "Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField [with Type=Foam::scalar={Foam::doubleScalar={double}}, PatchField=Foam::fvsPatchField, GeoMesh=Foam::surfaceMesh]" matches the argument list:
function "Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject &, const GeoMesh::Mesh &, const Foam::dimensioned<Type> &, const Foam::word &) [with Type=Foam::scalar={Foam::doubleScalar={double}}, PatchField=Foam::fvsPatchField, GeoMesh=Foam::surfaceMesh]"
function "Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject &, const GeoMesh::Mesh &, const Foam::dictionary &) [with Type=Foam::scalar={Foam::doubleScalar={double}}, PatchField=Foam::fvsPatchField, GeoMesh=Foam::surfaceMesh]"
argument types are: (Foam::IOobject, const Foam::fvMesh, int)
Foam::surfaceScalarField *f=new Foam::surfaceScalarField(


Note that I'm able to compile swak4Foam with both gcc and icpc, but the FSF in swak4Foam doesn't appear to support the fpos functionality, and I really need this for smoother initialization of multiphase interfaces.
egp is offline   Reply With Quote

Old   March 25, 2011, 08:17
Default
  #48
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by egp View Post
Hi Bernhard,

I am having the same problem with the latest funkySetFields (revision 1869). I'm using gcc4.4 or icpc11.1, bison 2.4, flex 2.5.31, and am getting

-------------
with gcc4.4
-------------
ValueExpressionDriver.C:462: error: call of overloaded ‘GeometricField(Foam::IOobject, const Foam::fvMesh&, int)’ is ambiguous

---------------
with icpc11.1
---------------
ValueExpressionDriver.C(451): error: more than one instance of constructor "Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField [with Type=Foam::scalar={Foam::doubleScalar={double}}, PatchField=Foam::fvsPatchField, GeoMesh=Foam::surfaceMesh]" matches the argument list:
function "Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject &, const GeoMesh::Mesh &, const Foam::dimensioned<Type> &, const Foam::word &) [with Type=Foam::scalar={Foam::doubleScalar={double}}, PatchField=Foam::fvsPatchField, GeoMesh=Foam::surfaceMesh]"
function "Foam::GeometricField<Type, PatchField, GeoMesh>::GeometricField(const Foam::IOobject &, const GeoMesh::Mesh &, const Foam::dictionary &) [with Type=Foam::scalar={Foam::doubleScalar={double}}, PatchField=Foam::fvsPatchField, GeoMesh=Foam::surfaceMesh]"
argument types are: (Foam::IOobject, const Foam::fvMesh, int)
Foam::surfaceScalarField *f=new Foam::surfaceScalarField(


Note that I'm able to compile swak4Foam with both gcc and icpc, but the FSF in swak4Foam doesn't appear to support the fpos functionality, and I really need this for smoother initialization of multiphase interfaces.
Just thought to myself "Strange. All these people stumbling on the same bug in the same week when it is there for some months. This guy has the same problem as Eric in that other thread ..... wait a minute. This is Eric"

Bottom line: fpos is still there. I f###ed up average. I'll fix it

Bernhard
gschaider is offline   Reply With Quote

Old   March 25, 2011, 08:20
Default
  #49
egp
Senior Member
 
egp's Avatar
 
Eric Paterson
Join Date: Mar 2009
Location: Blacksburg, VA
Posts: 197
Blog Entries: 1
Rep Power: 9
egp is on a distinguished road
Bernhard,

This is a different problem! The other thread is swak4Foam and the average/fpos problem. This thread is a compilation problem for the stand-alone FSF (I was going to revert back to the stand-alone version to temporarily solve my problem).

Eric


Quote:
Originally Posted by gschaider View Post
Just thought to myself "Strange. All these people stumbling on the same bug in the same week when it is there for some months. This guy has the same problem as Eric in that other thread ..... wait a minute. This is Eric"

Bottom line: fpos is still there. I f###ed up average. I'll fix it

Bernhard
egp is offline   Reply With Quote

Old   March 25, 2011, 08:35
Default
  #50
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by egp View Post
Bernhard,

This is a different problem! The other thread is swak4Foam and the average/fpos problem. This thread is a compilation problem for the stand-alone FSF (I was going to revert back to the stand-alone version to temporarily solve my problem).

Eric
My wording was a bit wrong. Anyway. Just looking for the original thread because the problem was already fixed in swak. average is already called faceAverage. Should work with the sources you already have, I just never documented it (sum is now surfSum). Sorry
gschaider is offline   Reply With Quote

Old   April 14, 2011, 18:17
Default
  #51
New Member
 
Join Date: Oct 2010
Posts: 27
Rep Power: 6
albem is on a distinguished road
Hi

I just downloaded swake4Foam, I am using OpenFOAM 1.7, I put the directory in /home/albem/OpenFOAM/OpenFOAM-1.7.x/applications/utilities/preProcessing/swak4Foam

and when I wrote "make install", there were some errors

./copySwakFilesToGlobal.sh
./copySwakFilesToGlobal.sh: line 3: .: theFiles.sh: file not found
./removeSwakFilesFromLocal.sh
./removeSwakFilesFromLocal.sh: line 3: .: theFiles.sh: file not found

Any suggestions will be appreciated!

thanks

Alberto
albem is offline   Reply With Quote

Old   April 15, 2011, 16:56
Default
  #52
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by albem View Post
Hi

I just downloaded swake4Foam, I am using OpenFOAM 1.7, I put the directory in /home/albem/OpenFOAM/OpenFOAM-1.7.x/applications/utilities/preProcessing/swak4Foam

and when I wrote "make install", there were some errors

./copySwakFilesToGlobal.sh
./copySwakFilesToGlobal.sh: line 3: .: theFiles.sh: file not found
./removeSwakFilesFromLocal.sh
./removeSwakFilesFromLocal.sh: line 3: .: theFiles.sh: file not found

Any suggestions will be appreciated!

thanks

Alberto
Could you please verify whether the file theFiles.sh is actually there. If it is there then I suspect that it is one of these nice incompatibilities between the different shells (tcsh, bash (which differs according to dialects), tcsh). Try replacing in the scripts the line

. theFiles.sh

with

. ./theFiles.sh

or

source ./theFiles.sh

Apart from that I can't help you. My knowledge with shell-scripting (the Fortran of script languages) is very limited and I don't intend to extend it. The preferred way to install swak is as always with OpenFOAM

./Allwmake

The Makefile is a convenience-thing that is nice if it works but I do not support it if it doesn't work (will accept fixes though).

But thanks for the hint. I will discourage the use of "make install" in the README

Bernhard
gschaider is offline   Reply With Quote

Old   April 18, 2011, 17:47
Default
  #53
New Member
 
Join Date: Oct 2010
Posts: 27
Rep Power: 6
albem is on a distinguished road
Quote:
Originally Posted by gschaider View Post
Could you please verify whether the file theFiles.sh is actually there. If it is there then I suspect that it is one of these nice incompatibilities between the different shells (tcsh, bash (which differs according to dialects), tcsh). Try replacing in the scripts the line

. theFiles.sh

with

. ./theFiles.sh

or

source ./theFiles.sh

Apart from that I can't help you. My knowledge with shell-scripting (the Fortran of script languages) is very limited and I don't intend to extend it. The preferred way to install swak is as always with OpenFOAM

./Allwmake

The Makefile is a convenience-thing that is nice if it works but I do not support it if it doesn't work (will accept fixes though).

But thanks for the hint. I will discourage the use of "make install" in the README

Bernhard

Bernhard thanks for your prompt answer

The file theFiles.sh is there, I do not understand what you wanted to say with Try replacing in the scripts the line

. theFiles.sh

with

. ./theFiles.sh

which scripts?

I ran the ./Allwmake instruction and the result was

'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libswak4FoamParsers.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libgroovyBC.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libswakFunctionObjects.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libsimpleFunctionObjects.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libsimpleSwakFunctionObjects.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libswakTopoSources.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libswakSourceFields.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libgroovyStandardBCs.so' is up to date.
make: `/home/albem/OpenFOAM/albem-1.7.x/applications/bin/linuxGccDPOpt/funkySetFields' is up to date.
make: `/home/albem/OpenFOAM/albem-1.7.x/applications/bin/linuxGccDPOpt/funkySetBoundaryField' is up to date.
make: `/home/albem/OpenFOAM/albem-1.7.x/applications/bin/linuxGccDPOpt/replayTransientBC' is up to date.
make: `/home/albem/OpenFOAM/albem-1.7.x/applications/bin/linuxGccDPOpt/funkyDoCalc' is up to date.

This means that
funkySetFields and funkySetBoundaryFilelds must work, am i right?

thanks again

Alberto
albem is offline   Reply With Quote

Old   April 19, 2011, 04:35
Default
  #54
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by albem View Post
Bernhard thanks for your prompt answer

The file theFiles.sh is there, I do not understand what you wanted to say with Try replacing in the scripts the line

. theFiles.sh

with

. ./theFiles.sh

which scripts?
Both vairants are equivalent for a sane person. But for some shells they are not. And the complain with "theFiles.sh not existing" although it exists.

Quote:
Originally Posted by albem View Post
I ran the ./Allwmake instruction and the result was

'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libswak4FoamParsers.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libgroovyBC.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libswakFunctionObjects.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libsimpleFunctionObjects.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libsimpleSwakFunctionObjects.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libswakTopoSources.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libswakSourceFields.so' is up to date.
'/home/albem/OpenFOAM/albem-1.7.x/lib/linuxGccDPOpt/libgroovyStandardBCs.so' is up to date.
make: `/home/albem/OpenFOAM/albem-1.7.x/applications/bin/linuxGccDPOpt/funkySetFields' is up to date.
make: `/home/albem/OpenFOAM/albem-1.7.x/applications/bin/linuxGccDPOpt/funkySetBoundaryField' is up to date.
make: `/home/albem/OpenFOAM/albem-1.7.x/applications/bin/linuxGccDPOpt/replayTransientBC' is up to date.
make: `/home/albem/OpenFOAM/albem-1.7.x/applications/bin/linuxGccDPOpt/funkyDoCalc' is up to date.

This means that
funkySetFields and funkySetBoundaryFilelds must work, am i right?

thanks again

Alberto
Right. Just run them and see
gschaider is offline   Reply With Quote

Old   April 20, 2011, 18:44
Default
  #55
New Member
 
Join Date: Oct 2010
Posts: 27
Rep Power: 6
albem is on a distinguished road
Quote:
Originally Posted by gschaider View Post
Both vairants are equivalent for a sane person. But for some shells they are not. And the complain with "theFiles.sh not existing" although it exists.



Right. Just run them and see

Thank you Bernhard for your helpI am defining an extra force term in the N-S equations, for the moment I am defining this force using an analytical expression,and when I wrote in the terminal the command

funkySetFields -field A123 -expression 'vector(-exp(-(pow(pos().x,2)+pow(pos().y,2))),0, 0)' -time 0

it works!, but, if I use a /system/funkySetFieldDict file which contains the following

expressions
(
A123
{
field A123; //field initialise

create true;

expression “vector( -exp(-pow(pos().x,2)+pow(pos().y,2)),0, 0)”; //ring-shaped current

condition “sqrt(pow(pos().x,2)+pow(pos().y,2))<=1.0”;

}
);


and then if I write in the terminal

funkySetFields -time 0

the result is

/*---------------------------------------------------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 1.7.x |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
Build : 1.7.x-a54150ce1198
Exec : funkySetFields -time 0
Date : Apr 20 2011
Time : 15:35:11
Host : acamapichtli
PID : 6554
Case : /home/albem/OpenFOAM/albem-1.7.x/run/Poiseuille2D_Fnonu2
nProcs : 1
SigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Create time

Create mesh for time = 0

Time = 0
Using funkySetFieldsDict



--> FOAM FATAL IO ERROR:
cannot open file

file: /home/albem/OpenFOAM/albem-1.7.x/run/Poiseuille2D_Fnonu2/system/funkySetFieldsDict at line 0.

From function regIOobject::readStream()
in file db/regIOobject/regIOobjectRead.C at line 61.

FOAM exiting


do you know what it could be wrong with the /system/funkySetFieldDict file?

I would like to just modified the file for the analytical expression instead of using the commands in the terminal

by the way I do not hoy to include the

condition “sqrt(pow(pos().x,2)+pow(pos().y,2))<=1.0”;

option in the command line terminal any idea?

thanks in advance

Alberto
albem is offline   Reply With Quote

Old   April 21, 2011, 04:29
Default
  #56
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by albem View Post
Thank you Bernhard for your helpI am defining an extra force term in the N-S equations, for the moment I am defining this force using an analytical expression,and when I wrote in the terminal the command

funkySetFields -field A123 -expression 'vector(-exp(-(pow(pos().x,2)+pow(pos().y,2))),0, 0)' -time 0

it works!, but, if I use a /system/funkySetFieldDict file which contains the following

expressions
(
A123
{
field A123; //field initialise

create true;

expression “vector( -exp(-pow(pos().x,2)+pow(pos().y,2)),0, 0)”; //ring-shaped current

condition “sqrt(pow(pos().x,2)+pow(pos().y,2))<=1.0”;

}
);


and then if I write in the terminal

funkySetFields -time 0

the result is

/*---------------------------------------------------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 1.7.x |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
Build : 1.7.x-a54150ce1198
Exec : funkySetFields -time 0
Date : Apr 20 2011
Time : 15:35:11
Host : acamapichtli
PID : 6554
Case : /home/albem/OpenFOAM/albem-1.7.x/run/Poiseuille2D_Fnonu2
nProcs : 1
SigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Create time

Create mesh for time = 0

Time = 0
Using funkySetFieldsDict



--> FOAM FATAL IO ERROR:
cannot open file

file: /home/albem/OpenFOAM/albem-1.7.x/run/Poiseuille2D_Fnonu2/system/funkySetFieldsDict at line 0.

From function regIOobject::readStream()
in file db/regIOobject/regIOobjectRead.C at line 61.

FOAM exiting


do you know what it could be wrong with the /system/funkySetFieldDict file?
Yep. Missing "s". Please check the error message

Quote:
Originally Posted by albem View Post
I would like to just modified the file for the analytical expression instead of using the commands in the terminal

by the way I do not hoy to include the

condition “sqrt(pow(pos().x,2)+pow(pos().y,2))<=1.0”;

option in the command line terminal any idea?

thanks in advance

Alberto
gschaider is offline   Reply With Quote

Old   April 21, 2011, 15:42
Default
  #57
New Member
 
Join Date: Oct 2010
Posts: 27
Rep Power: 6
albem is on a distinguished road
Quote:
Originally Posted by gschaider View Post
Yep. Missing "s". Please check the error message

It woks! Thank you Bernhard, and sorry for the waist of your time!
albem is offline   Reply With Quote

Old   June 17, 2011, 17:51
Default
  #58
Member
 
Naveen
Join Date: Feb 2010
Location: Los Angeles
Posts: 65
Rep Power: 7
vetnav is on a distinguished road
Hi

I just downloaded swake4Foam, I am using OpenFOAM 1.7 (Ubuntu Pack), I put the directory in
opt/openfoam171/applications/utilities/preProcessing/

I went into opt/openfoam171/applications/utilities/preProcessing/swak4Foam
and when I wrote "make install", there were some errors

./downloadSimpleFunctionObjects.sh
Can't do this because this directory is under SVN-control
./Allwmake
No simpleFuctionsObject existing. Press ENTER to continue compilation or abort and download it with the downloadSimpleFunctionObjects.sh script


Can someone please tell me how to proceed

Thank you
vetnav is offline   Reply With Quote

Old   June 17, 2011, 18:13
Default
  #59
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by vetnav View Post
Hi

I just downloaded swake4Foam, I am using OpenFOAM 1.7 (Ubuntu Pack), I put the directory in
opt/openfoam171/applications/utilities/preProcessing/

I went into opt/openfoam171/applications/utilities/preProcessing/swak4Foam
and when I wrote "make install", there were some errors

./downloadSimpleFunctionObjects.sh
Can't do this because this directory is under SVN-control
./Allwmake
No simpleFuctionsObject existing. Press ENTER to continue compilation or abort and download it with the downloadSimpleFunctionObjects.sh script


Can someone please tell me how to proceed

Thank you
Is that directory opt/openfoam171/applications/utilities/preProcessing/ under SVN control like ther output suggests?

Which version did you download and how?

Please use that "make install" only if you want to install swak systemwide. Otherwise use a plain ./Allwmake that should install everything just for your user
gschaider is offline   Reply With Quote

Old   June 17, 2011, 18:25
Default
  #60
Member
 
Naveen
Join Date: Feb 2010
Location: Los Angeles
Posts: 65
Rep Power: 7
vetnav is on a distinguished road
Hi Bernhard,

Thank you for the reply. Thatis so prompt.

Is that directory opt/openfoam171/applications/utilities/preProcessing/ under SVN control like ther output suggests?

I don't even know what is SVN control, when I run make install I think it automatically going under that control. To make sure I restarted the computer and tried it but still got the same error message.

Which version did you download and how?


If your question is regarding the swak4Foam. I downloaded it using the command given in
http://openfoamwiki.net/index.php/Co...am#Downloading

I have only one user account in my Ubuntu.

Thank you
vetnav is offline   Reply With Quote

Reply

Tags
funkysetfields, installation, valueexpressionparser, wmake

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
FunkySetFields Boundary conditions listmg OpenFOAM Pre-Processing 13 November 22, 2013 14:00
Running funkySetFields sara OpenFOAM Running, Solving & CFD 10 October 3, 2012 10:08
Installing as root in opt bastil OpenFOAM Installation 8 October 22, 2008 02:54
Installing from source to a different location jmk1k OpenFOAM Installation 0 October 24, 2007 19:12
Problems installing CFX on Sun Unix Platform Haley CFX 2 November 9, 2001 10:52


All times are GMT -4. The time now is 03:18.